#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-8esNiqhpTKl89loDFNHlHJ
key:                  lsp-1.2.0.1-8esNiqhpTKl89loDFNHlHJ
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  5daee4b130319cc82cfccbbc09190992
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-9mi6Vpok1mP74eGK1TdVBK:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-9mi6Vpok1mP74eGK1TdVBK:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-9mi6Vpok1mP74eGK1TdVBK:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-9mi6Vpok1mP74eGK1TdVBK:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.2.0.1-8esNiqhpTKl89loDFNHlHJ
depends:
    aeson-1.5.6.0-ACA5il8oUDTGWSuengtGRp
    async-2.2.4-BQljimKC9bM4zvFoLpwvUr
    attoparsec-0.14.4-3hmNOn9KsQkLastvrl1LA3 base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R
    dependent-map-0.4.0.0-JDMh22rZsaPKYUNXv1iUGy exceptions-0.10.4
    hashable-1.4.0.0-Ad25gOPS1LBBwFTwmctznB
    hslogger-1.3.1.0-4Wlr3F7Wc0k5a40xXbkl5W
    lens-5.1-KzHhhLE1jOD6VmHbPqSTp2
    lsp-types-1.3.0.1-9mi6Vpok1mP74eGK1TdVBK mtl-2.2.2
    network-uri-2.6.4.1-IAkqAvJDjrn36sgBWLtC3A
    random-1.2.1-1Hz8B867VBj7K7atSeCZU3
    scientific-0.3.7.0-9vsr1QfQUPrAQX7lXehCHN
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.18.0-HgeMTnP7CmhGWtqS52RLit
    uuid-1.3.15-9pUrQYF4O95JlRdKDy975O

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

